%define name ll-core
%define version 1.6
%define unmangled_version 1.6
%define release 1

Summary: LivingLogic base package: ansistyle, color, make, sisyphus, xpit, url
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: Python
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Walter Doerwald <walter@livinglogic.de>
Url: http://www.livinglogic.de/Python/core/

%description
ll-core is a collection of the following modules:

* ``ansistyle`` can be used for colored terminal output (via ANSI
  escape sequences).

* ``color`` provides classes and functions for handling RGB color values.
  This includes the ability to convert between different color models
  (RGB, HSV, HLS) as well as to and from CSS format, and several functions
  for modifying and mixing colors.

* ``make`` is an object oriented make replacement. Like make it allows you
  to specify dependencies between files and actions to be executed
  when files don't exist or are out of date with respect to one
  of their sources. But unlike make you can do this in a object oriented
  way and targets are not only limited to files, but you can implement
  e.g. dependencies on database records.

* ``misc`` provides several small utility functions and classes.

* ``sisyphus`` provides classes for running Python scripts as cron jobs.

* ``daemon`` can be used on UNIX to fork a daemon process.

* ``url`` contains an RFC2396 compliant implementation of URLs and classes for
  accessing resource metadata (like modification dates or permission bits) as
  well as file like classes for reading data from URLs and writing data to URLs.

* ``xpit`` is a module that makes it possible to embed Python expressions
  in text (as XML style processing instructions).


New in version 1.6
------------------

ll.url now supports ssh URLs which are files on remote hosts. This
   requires py.execnet. Most of the file data and metadata handling
   has been rewritten to support the requirements of ssh URLs.

   ll.make.ModeAction and ll.make.OwnerAction are subclasses of
   ll.make.ExternalAction now. This means they will execute even in
   "infoonly" mode.

   Fixed a bug in ll.make.JoinAction.get.

   Remove the pid file for ll.sisyphus.Job when a KeyboardInterrupt
   happens and we're running on Python 2.5.

   Fixed a longstanding bug in ll.sisyphus.Job which resulted in the
   pid file not being written in certain situations.

   ll.daemon.Daemon now allows to switch the group too.

%prep
%setup -n %{name}-%{unmangled_version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
